#include <iostream>

using namespace std;

int main ()
{

    long long l;
    long long m;
    long long n;
    long long br = 0;
    long long s = 0;
    long long k;
    long long current = k;

    cin >> l >> m >> n;

    do {
    k = m;
    k = m + n;

    s += k + n;

    br ++;
    }while (s <= l);

    cout << br + 1;

    return 0;
}
